package main

import "fmt"
import "os"

// Global variables

var g_exampleVariable = "Global Example Variable"; // Only, if this is necessary

func showUsageInformation() {
	fmt.Println();  
	fmt.Println("Majops Skeleton Script Go is the base for making new scripts in Go.");
	fmt.Println("The user has to type here what the Go script can perform and does.");
	fmt.Println(); 
	fmt.Println("Way of usage:");
	fmt.Println();
	fmt.Println("The user has to type here how he has to work with the Go script and");
	fmt.Println("how the command line arguments are used.");
	fmt.Println();
	fmt.Println("Example:");
	fmt.Println();
	fmt.Println("go run MajopsSkeletonScriptGo.go input1.txt input2.csv 10 output.csv");
	fmt.Println();
	
	os.Exit(0);
}

// From here till the main function, functions have to be programmed. 
// An example function: showHelloWorld
func showHelloWorld(helloWorld string) {
	fmt.Println();
	fmt.Println(helloWorld);
	fmt.Println();
	fmt.Println(g_exampleVariable);
	fmt.Println();
}

// The last function is always the main function, in which only other functions are called.
func main() {
	if (len(os.Args) >= 2) {
		if (os.Args[1] == "-h" || os.Args[1] == "--h" || os.Args[1] == "-help" || os.Args[1] == "--help") {
			showUsageInformation();
		}
	}
	
	var helloToUser = "Hello World!";
	
	showHelloWorld(helloToUser); // Example of a function.
}

// Additional information:
// =======================
//
// Remarks about the Majops Skeleton Script Go itself.
// Description how it works.
// Description which improvements can be done to improve the Majops Skeleton Script Go itself.
//

